/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Parameters.h"
#include "Behavioural/Generic/Counter/include/Types.h"
#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {


  string Parameters::msg_error(void)
  {
    log_printf(FUNC,Counter,"msg_error","Begin");

    string msg = "";

    if (_size_data < 1)
      {
        msg += "  - size_data must be > 0\n";
        msg += "    * size_data                       : " + toString(_size_data) + "\n";
      }

    if (_nb_port < 1)
      {
        msg += "  - nb_port must be > 0\n";
        msg += "    * nb_port                         : " + toString(_nb_port) + "\n";
      }

    return msg;

    log_printf(FUNC,Counter,"msg_error","End");
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
